<?php
function minmax($f, $p, $s) {
    require("connect.inc.php");
    $sql = "SELECT MIN($f), MAX($f), COUNT(DISTINCT $f) FROM pyscan
            WHERE proto='".strtoupper($p)."'
            AND ip_src='$s'";
    $query = mysql_query($sql) or die("SQL error");
    $result = mysql_fetch_row($query);
    return "<div><b>min =</b> ".number_format($result[0], 0)." / <b>max =</b> ".number_format($result[1], 0)." / <b>distinct =</b> ".number_format($result[2], 0)."</div>";
    mysql_close();
}
function getListSourceHosts() {
    require("connect.inc.php");
    $sql = "SELECT DISTINCT ip_src FROM pyscan
            ORDER BY ip_src";
    $results = mysql_query($sql) or die("SQL error");
    $arrListSourceHosts = array();
    while($row = mysql_fetch_row($results)) {
        $arrListSourceHosts[] = $row[0];
    }
    mysql_close();
    return $arrListSourceHosts;
}

function isSelected($a, $b) {
    return( ($a==$b)?' selected':'' );
}
?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body>
    <div style="border:solid 2px #ff0000; background: #E6B9B9;">
        <span>
            <b>Select source host: </b>
            <select id="src">
            <?php
            $arrListSourceHosts = getListSourceHosts();
            if(isset($_GET["src"])) {
                $src = $_GET["src"];
            } else {
                $src = $arrListSourceHosts[0];
            }
            foreach($arrListSourceHosts as $host) {
                echo("<option value=\"$host\"");
                if($src==$host) { echo(" selected"); }
                echo(">$host</option>");
            }
            ?>
            </select>
        </span>
        <span style="margin-left:30px;">
            <b>X-axis reference: </b>
            <select id="xaxis">
                <?php
                $arrListSourceHosts = getListSourceHosts();
                if(isset($_GET["xaxis"])) {
                    $xaxis = $_GET["xaxis"];
                } else {
                    $xaxis = 'frames';
                }
                ?>
                <option value="frames" <?php echo(isSelected($xaxis, 'frames')); ?>>frames</option>
                <option value="time" <?php echo(isSelected($xaxis, 'time')); ?>>time</option>
            </select>
        </span>
        <span style="margin-left:100px;">
            <input type="button" value="Refresh"
               onclick="window.location='?src='+document.getElementById('src').value+'&xaxis='+document.getElementById('xaxis').value" />
        </span>
    </div>
<div>
    <h1>Scan types distribution over <?php echo($xaxis); ?></h1>
    <iframe src="graph.php?graph=portscantypes&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <div>10: TCP SYN / 20: TCP CONNECT / 30: TCP NULL / 40: TCP FIN / 50: TCP XMAS / 60: TCP ACK / 70: TCP RST / 80: TCP CUSTOM SCAN / 90: UDP</div>
</div>
<h1>Scan distribution characteristics</h1>
<div style="float:left">
    <h2>Distribution of TCP sport over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=sport&p=tcp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('sport', 'tcp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 TCP sport</h2>
    <iframe src="table.php?f=sport&p=tcp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

<div style="float:left">
    <h2>Distribution of IP length over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=ip_len&p=tcp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('ip_len', 'tcp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 TCP sport</h2>
    <iframe src="table.php?f=ip_len&p=tcp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

<div style="float:left">
    <h2>Distribution of IP ID over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=ip_id&p=tcp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('ip_id', 'tcp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 TCP sport</h2>
    <iframe src="table.php?f=ip_id&p=tcp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

<div style="float:left">
    <h2>Distribution of IP TTL over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=ip_ttl&p=tcp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('ip_ttl', 'tcp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 TCP sport</h2>
    <iframe src="table.php?f=ip_ttl&p=tcp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

<div style="float:left">
    <h2>Distribution of TCP dport over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=dport&p=tcp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('dport', 'tcp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 TCP dport</h2>
    <iframe src="table.php?f=dport&p=tcp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

<div style="float:left">
    <h2>Distribution of seq over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=seq&p=tcp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('seq', 'tcp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 seq num.</h2>
    <iframe src="table.php?f=seq&p=tcp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

<div style="float:left">
    <h2>Distribution of ack over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=ack&p=tcp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('ack', 'tcp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 ack num.</h2>
    <iframe src="table.php?f=ack&p=tcp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

<div style="float:left">
    <h2>Distribution of window size over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=win&p=tcp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('win', 'tcp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 UDP sport</h2>
    <iframe src="table.php?f=win&p=tcp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

<div style="float:left">
    <h2>Distribution of UDP sport over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=sport&p=udp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('sport', 'udp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 UDP sport</h2>
    <iframe src="table.php?f=sport&p=udp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

<div style="float:left">
    <h2>Distribution of UDP dport over <?php echo($xaxis); ?></h2>
    <iframe src="graph.php?f=dport&p=udp&src=<?php echo($src); ?>&xaxis=<?php echo($xaxis); ?>" style="width:900px;height:320px;"></iframe>
    <?php echo(minmax('dport', 'udp', $src)); ?>
</div>
<div style="float:left">
    <h2>Top 10 UDP dport</h2>
    <iframe src="table.php?f=dport&p=udp&src=<?php echo($src); ?>"></iframe>
</div>
<div style="clear:both"></div>

</body>
</html>
