<html> 
<head> 
  <link rel="stylesheet" type="text/css" href="jqplot/jquery.jqplot.css" /> 
  <link rel="stylesheet" type="text/css" href="jqplot/examples/examples.css" /> 
  
  <!--[if IE]><script language="javascript" type="text/javascript" src="jqplot/excanvas.min.js"></script><![endif]--> 
  <!-- BEGIN: load jquery --> 
  <script language="javascript" type="text/javascript" src="jqplot/jquery-1.3.2.min.js"></script> 
  <!-- END: load jquery --> 
  
  <!-- BEGIN: load jqplot --> 
  <script language="javascript" type="text/javascript" src="jqplot/jquery.jqplot.js"></script> 
  <script language="javascript" type="text/javascript" src="jqplot/plugins/jqplot.cursor.js"></script> 
	<script type="text/javascript" language="javascript"> 
		$(document).ready(function(){
        var scan = [<?php
            if(isset($_GET['xaxis'])) {
                $xaxis = ($_GET['xaxis']=='frames')?'snd_frame':'ts';
            } else {
                $xaxis = 'snd_frame'; // frames
            }
            require("connect.inc.php");
            if( isset($_GET['graph']) && $_GET['graph']=='portscantypes' ) {
                $sql = "SELECT p.$xaxis, s.id_scan_type
                        FROM scan_type s, pyscan p
                        WHERE s.scan_type = p.scan_type
                        AND ip_src='".$_GET['src']."'
                        ORDER BY p.$xaxis";
            } else {
                $sql = "SELECT $xaxis, ".strtoupper($_GET['f'])."
                        FROM pyscan";
                if(isset($_GET['src'])) {
                    $sql .= " WHERE ip_src='".$_GET['src']."'
                              AND proto='".strtoupper($_GET['p'])."'";
                } else {
                    $sql .= " WHERE ip_dst='".$_GET['dst']."'";
                }
                $sql .= "ORDER BY $xaxis";
            }
            $result = mysql_query($sql) or die("SQL error");
            while($row = mysql_fetch_row($result)) {
                echo("[".$row[0].",".$row[1]."],");
            }
            mysql_close();
        ?>];
 
    plot = $.jqplot('chart1', [scan], {
        series: [{ 
            neighborThreshold: -1,
            showLine: false,
            shadow: false,
            markerOptions: {lineWidth:1, size:4, shadow:false}
        }], 
        axes: { 
            xaxis: { 
                renderer:$.jqplot.LinearAxisRender,
                tickOptions: {formatString: '%d'}
            }, 
            yaxis: { 
                renderer:$.jqplot.LogAxisRenderer,
                tickOptions: {formatString: '%d'}
            } 
        }, 
        cursor:{zoom:true, showTooltip:false} 
    });
});
</script> 
		
</head> 
<body>
    <?php if(isset($_GET['dst'])) { echo("<h2>Distribution of IP ID emitted by targets over time</h2>"); } ?>
<div class="jqPlot" id="chart1" style="height:250px; width:800px;"></div>  
<button onclick="plot.resetZoom()">Reset</button> 
</body> 

</html>
